pub const WIDTH: usize = 80;
pub const HEIGHT: usize = 25;

pub struct Vga;

impl Vga {
	const BUFF: *mut u8 = 0xb8000 as _;
	pub fn write_at(&self, pos: (usize, usize), text: char) {
		let index = (pos.0 + pos.1 * WIDTH) as isize;
		let byte = text as u8;
		unsafe {
			*Vga::BUFF.offset(index * 2) = byte;
			*Vga::BUFF.offset(index * 2 + 1) = 0xb;
		}
	}
}
