use lazy_static::lazy_static;
use spin::Mutex;

use crate::hard::keyboard::Keyboard;

lazy_static! {
	static ref In: Mutex<Input> = Mutex::new(Input::init());
}

pub struct Input {
	keyboard: Keyboard,
}

impl Input {
	pub fn init() -> Self {
		let keyboard = Keyboard;
		Self { keyboard }
	}

	pub fn read(out: &mut [char]) -> usize {
		0
	}
}
