#![no_std]
#![no_main]
#![feature(abi_x86_interrupt)]

mod dev;
mod hard;

use core::panic::PanicInfo;

use dev::alloc;
use hard::int;

#[no_mangle]
pub extern "C" fn _start() -> ! {
	println!("Starting.");
	int::init();
	alloc::init();
	println!("Finished initializations.");
	loop {}
}

#[panic_handler]
fn panic(_info: &PanicInfo) -> ! {
	println!("Paniced.");
	loop {}
}
